## js2py 0.74

=== requirements.txt ===
tzlocal>=1.2
six>=1.10
pyjsparser>=2.4.5

=== debian/changelog ===
js2py (0.74-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:53:20 +0200

js2py (0.74-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Update Maintainer field
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * wrap-and-sort
  * New upstream version 0.74
  * Update debian/copyright
  * Add build-dep python3-tzlocal
  * Add lintian-overrides for missing sources in tests

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository-Browse.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 06 Jan 2023 10:59:35 +0100

js2py (0.71-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Sep 2021 16:10:41 +0200

=== debian/control ===
Source: js2py
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pyjsparser,
               python3-setuptools,
               python3-six,
		       python3-tzlocal
Standards-Version: 4.6.1
Homepage: https://github.com/PiotrDabkowski/Js2Py
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-js2py
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Pure Python JavaScript Translator/Interpreter (Python 3)
 This package contains a Pure Python JavaScript Translator/Interpreter.
 It translates JavaScript to Python code. Js2Py is able to translate and
 execute virtually any JavaScript code.
 .
 This package installs the library for Python 3.

## js2py 0.74+git20221106.1.2e017b8

=== debian/changelog ===
js2py (0.74+git20221106.1.2e017b8-0kali1~jan+nus1) kali-bleeding-edge; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Mon, 09 Jan 2023 21:58:03 -0000

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=js2py

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://pypi.debian.net/Js2Py/Js2Py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
